as.gps {oce} | R Documentation

## Coerce data into a GPS dataset

### Description

Coerces a sequence of longitudes and latitudes into a GPS dataset.

### Usage

    as.gps(longitude, latitude, filename="")

### Arguments

`longitude` | the longitude in decimal degrees, positive east of Greenwich, or a data frame with columns named `latitude` and `longitude`, in which case these values are extracted from the data frame and the second argument is ignored.
`latitude` | the latitude in decimal degrees, positive north of the Equator.
`filename` | name of file containing data (if applicable).

### Details

This may be used when `read.gps` cannot read a file, or when the data have been manipulated.

### Value

An object of `class` `"gps"` (for details, see `read.gps`).

### Author(s)

Dan Kelley

### References

The GPX format is described at http://www.topografix.com/GPX/1/1/.

### See Also

The documentation for `gps-class` explains the structure of gps objects, and also outlines the other functions dealing with them.

[Package oce version 0.9-18 Index]